关于electron使用sqlite3启动、打包编译报错的问题

electron项目打包使用的electron-builder默认使用node-gyp编译sqlite,由于未知原因导致打包过程失败,切换为从源编译编译即可
package.json

"build": {
    "buildDependenciesFromSource":true,
    "nodeGypRebuild": false,
    "npmRebuild": false,
    ...
}

编译windows下64位包

--target=2.0.0 :electron版本
--arch=x64 :需要打包的版本 x64:64位 ia32:32位
../lib/binding/electron-v2.0-win32-x64:编译包存放位置,修改-win32-x64为对应的版本

npm install -g node-gyp
cd node_modules/sqlite3
node-gyp rebuild --target=2.0.0 --arch=x64 --target_platform=win32 --dist-url=https://atom.io/download/atom-shell --module_name=node_sqlite3 --module_path=../lib/binding/electron-v2.0-win32-x64

编译windows下32位包

node-gyp rebuild --target=2.0.0 --arch=ia32 --target_platform=win32 --dist-url=https://atom.io/download/atom-shell --module_name=node_sqlite3 --module_path=../lib/binding/electron-v2.0-win32-ia32

适用于electron V2.0.4&&sqlite3 V4.1.1的32、64位包下载地址

bin/electron_sqlite3

发表评论

电子邮件地址不会被公开。 必填项已用*标注